com.ihr.xbrl.dts

## Interface SchemesProvider

- All Known Implementing Classes:
    SchemesProviderImpl

      public interface SchemesProvider

  Provides an ordered list of schemes defined in the application. Useful for instance document editors only
  Author:
    Ignacio

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addScheme(Scheme newScheme)` Adds just one new scheme.
    `void` | `delScheme(Scheme scheme)` Removes a scheme from the list.
    `Scheme` | `getDefaultScheme()` Returns the Scheme that should be the default.
    `Scheme` | `getScheme(java.lang.String text)` Returns the Scheme corresponding to the string representation of the scheme in the text parameter.
    `java.util.Iterator<Scheme>` | `getSchemes()` The ordered list of preferred languages.
    `void` | `setSchemes(java.util.Collection<Scheme> newCol)` Sets the set of languages (replaces current set of labels) .

- - ### Method Detail

    - #### getSchemes

          java.util.Iterator<Scheme> getSchemes()

      The ordered list of preferred languages.
      Returns:
        Collection<String>

    - #### getDefaultScheme

          Scheme getDefaultScheme()

      Returns the Scheme that should be the default. Used to select the scheme in combo boxes and things like that.
      Returns:
        Scheme

    - #### setSchemes

          void setSchemes(java.util.Collection<Scheme> newCol)

      Sets the set of languages (replaces current set of labels) .
      Parameters:
        `newCol` - the new schemes

    - #### addScheme

          void addScheme(Scheme newScheme)

      Adds just one new scheme.
      Parameters:
        `newScheme` - the new scheme

    - #### delScheme

          void delScheme(Scheme scheme)

      Removes a scheme from the list.
      Parameters:
        `scheme` - the scheme

    - #### getScheme

          Scheme getScheme(java.lang.String text)

      Returns the Scheme corresponding to the string representation of the scheme in the text parameter. If the scheme is not found then a new entry is created automatically. If the text is not a valid URI the method returns null
      Parameters:
        `text` - the text
      Returns:
        Scheme